#!/usr/bin/make -f

export PYBUILD_NAME=autoray

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	mv docs/index.md docs/index.rst
	https_proxy='127.0.0.1:9' sphinx-build -b html docs build/sphinx/html
	dh_installdocs -ppython-autoray-doc --doc-main-package=python-autoray-doc build/sphinx/html
	dh_installdocs

override_dh_auto_install:
	dh_auto_install
	# Remove coverage files from the package
	find $(CURDIR)/debian/python3-autoray \( -name '*.coverage' -o -name '*.xml' \) -type f -delete
